# Online 3D Viewer - FileSource

Pages
Home
GitHub
Engine Usage
Installation
Usage
Contribution
Contribution Guidelines
Environment Setup
Classes
Camera
EdgeSettings
EmbeddedViewer
EnvironmentSettings
InputFile
RGBAColor
RGBColor
Functions
Init3DViewerElement
Init3DViewerElements
SetExternalLibLocation
Enums
CameraMode
FileSource

# FileSource

File source identifier for import.

## Values

Url
The file is provided by a URL.
File
The file is provided by a File object.
Decompressed
Used internally if a file is originated by a compressed archive.